class Passenger:
  """A simple Passenger class"""
  def __init__(self, name, suitcase_weights, ticket_type):
    """
    name - name of the passenger
    suitcase_weights - a list of floats representing the weights of the 
                       Passenger's suitcases
    ticket_type - a string representing the ticket type for this Passenger
    """
    self.name = name
    self.suitcase_weights = suitcase_weights
    self.ticket_type = ticket_type
  
  def __str__(self):
    """
    returns a string representing this Passenger in the format:
    [name], flying [ticket_type] ([comma separated suitcase_weights])
    Example:  Farah, flying coach (1.5, 0.8, 3.2)
    """
    return self.name + ", flying " + self.ticket_type + " (" + \
          ','.join(["%s" % el for el in self.suitcase_weights]) + ")"
